<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecuciÃ³n
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100194";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalizaciÃ³n 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÃ“N FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width"/>
<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>

<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz GrÃ¡fica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAÃ±o = substr($TokEn, -28, 4);    // devuelve el aÃ±o
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el dÃ­a
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAÃ±o;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesiÃ³n del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesiÃ³n ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - AcreditaciÃ³n de SesiÃ³n Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
		///Arrastrar Valores
		$NoOrdenEn=strtoupper($_POST['txt_Orden']) or $NoOrdenEn=strtoupper($_GET['txt_Orden']);
		
		///Identificar Existencia de la Orden
			$sql_BO2 = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'");
			if (mysql_numrows($sql_BO2)==0)
			{ ///Inicia IF Validador de Orden de Trabajo
				echo "<script>alert('La Orden de Trabajo ingresada no Existe.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
		
		///Identificar la Orden
			$sql_BO = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_BO)==0) echo "";
			else{
			$registro_BO=mysql_fetch_array($sql_BO);
			}
			if (mysql_numrows($sql_BO)>0)
			{
			$EdoOrd_BO=$registro_BO["ESTADO_ORDEN"];
			}
			
		///Identificar Si ya se dio de Alta un Armado de Tarima
			$sql_AT1 = mysql_query("select ID from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_AT1)==0)
			{ ///Inicia IF Validador de Armado de Tarima
				echo "<script>alert('La Orden de Trabajo ingresada no contiene un armado definido.\\nFavor de corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
			}
			else
			{
				
		///Identificar el total de codigos diferentes con el cual cuenta la Orden de Trabajo
			$sql_CCOT = mysql_query("select COUNT(SKU) As CantCodOT from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'");
			if (mysql_numrows($sql_CCOT)==0) echo "";
			else{
			$registro_CCOT=mysql_fetch_array($sql_CCOT);
			}
			if (mysql_numrows($sql_CCOT)>0)
			{
			$TotCodOT_CCOT=$registro_CCOT["CantCodOT"];
			}
			
		///Identificar el total de codigos diferentes con el cual cuenta la Orden de Trabajo
			$sql_CCOT2 = mysql_query("select COUNT(SKU) As CantCodAT from extra_ordentrabajo_armado where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'");
			if (mysql_numrows($sql_CCOT2)==0) echo "";
			else{
			$registro_CCOT2=mysql_fetch_array($sql_CCOT2);
			}
			if (mysql_numrows($sql_CCOT2)>0)
			{
			$TotCodAT_CCOT2=$registro_CCOT2["CantCodAT"];
			}
			
		///Identificar su falta ingresar un codigo al armado de la tarima	
			if ($TotCodAT_CCOT2 < $TotCodOT_CCOT)
				{///Inicia IF Detecto de catidades en Armados de Tarima
					$Faltante = $TotCodOT_CCOT - $TotCodAT_CCOT2;
					echo "<script>alert('Falta ingresar $Faltante codigo(s) al armado de la Tarima.\\nFavor de corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
				}
				else
				{
					
		///Identificar el estado de la Orden de Trabajo
			if ($EdoOrd_BO=="CERRADA")
				{///Inicia IF Estado de la Orden de Trabajo
					echo "<script>alert('La orden de trabajo seleccionada ya ha sido cerrada.\\nFavor de corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
				}
				else
				{
		
////++++++++++++++ FIN CONFIGURACIÃ“N FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="form1" name="form1" method="post" action="14-OrdenTrabajo40.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Ordenes de Trabajo - Recolección</font></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>&nbsp;</td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>No. Orden:</b></font></td>
		    <td><?PHP echo"<font class='Clase_TipoLetra'>$NoOrdenEn</font>"; ?></td>
	      </tr>
		  <tr>
		    <td width="77"><font class="Clase_TipoLetra"><b>Estado:</b></font></td>
		    <td width="113"><?PHP echo"<font class='Clase_TipoLetra'>$EdoOrd_BO</font>"; ?></td>
	      </tr>

		  <tr>
		    <td align="center">&nbsp;</td>
		    <td align="center">&nbsp;</td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># Tarimas:</b></font></td>
		    <td><input name="txt_NTarimas" id="txt_NTarimas" size="25" required="required" autofocus="autofocus" type="number"/></td>
	      </tr>
		  <tr>
		    <td colspan="2">
               <input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" />
        	<input type="hidden" name="txt_Orden"
		value="<?PHP echo $NoOrdenEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center">&nbsp;</td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="submit" name="button" id="button" value="Aplicar" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="button" value="Regresar" onClick=" window.location.href='<?PHP echo"14-OrdenTrabajo20.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>' "></td>
	      </tr>
		</table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz GrÃ¡fica -->
<?PHP
} ///Termina IF Estado de la Orden de Trabajo
} ///Termina IF Detecto de catidades en Armados de Tarima
} ///Termina IF Validador de Armado de Tarima
} ///Termina IF Validador de Orden de Trabajo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
